public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Gilles Dartiguelongue" <eva@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-video/cheese/
Date: Fri, 21 Dec 2018 22:17:09 +0000 (UTC)	[thread overview]
Message-ID: <1545430360.65bf8f8616e2f5c3afa1a525b85dd4c7d46e0cee.eva@gentoo> (raw)

commit:     65bf8f8616e2f5c3afa1a525b85dd4c7d46e0cee
Author:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 21 07:33:25 2018 +0000
Commit:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Fri Dec 21 22:12:40 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=65bf8f86

media-video/cheese: 3.28.0 → 3.30.0

Mostly translation updates only.

Package-Manager: Portage-2.3.52, Repoman-2.3.12
Signed-off-by: Gilles Dartiguelongue <eva <AT> gentoo.org>

 media-video/cheese/Manifest             |  2 +
 media-video/cheese/cheese-3.26.0.ebuild | 76 +++++++++++++++++++++++++++++++++
 media-video/cheese/cheese-3.30.0.ebuild | 71 ++++++++++++++++++++++++++++++
 3 files changed, 149 insertions(+)

diff --git a/media-video/cheese/Manifest b/media-video/cheese/Manifest
index 8c2f50e324e..7e625e97ffe 100644
--- a/media-video/cheese/Manifest
+++ b/media-video/cheese/Manifest
@@ -1 +1,3 @@
+DIST cheese-3.26.0.tar.xz 1841856 BLAKE2B 302a4a12511866197df8cf62ec00ade122f2e5dc6a4adcb78cd252594b23373c328845179135e8ae44526432ec1b6b9a8c26d2808a533833221076be0496a591 SHA512 6fd58623ca257dff0a53b3577005a8b818b706f5c3da4eab51de9a7f6368847b4fe62885f3a7ba6350ac782cbee51c7b35a0c055bf11bb270934041b15388297
 DIST cheese-3.28.0.tar.xz 1544904 BLAKE2B cdad63b4175bb52c3a77ee5ed0058afdd8b5d509ef17b5931d2f01457b9ff327d3ad270ad963e3185c928ddc7203b00163137a789683669d3f8c39d5a9926da8 SHA512 c52b083b132a8c885df55def3d6bf96180fc93c8b7368f48412c8dd63e073a268ff0e86959a977bd8bf372a53e127419b96046d92cb3a96674f86cfb3477ceea
+DIST cheese-3.30.0.tar.xz 1546680 BLAKE2B 32cfc9553e1c9ebfe7d3eb5fdf19d74b49e9f69ea005f4c79097d69caa2125803c5c319e98ccd3e8f72157a5fd86c018f1be7af7045f6541ecd36d4162c5cdd1 SHA512 622910cedc8eadec4161f60e2bb3f02cbe11352b2431fdd9783f724b4119ffae6254b1566e1144c25491067f9c683a55eb85b265ef28992d852adce02fbdc8b4

diff --git a/media-video/cheese/cheese-3.26.0.ebuild b/media-video/cheese/cheese-3.26.0.ebuild
new file mode 100644
index 00000000000..fb4adf9d212
--- /dev/null
+++ b/media-video/cheese/cheese-3.26.0.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+VALA_MIN_API_VERSION="0.26"
+
+inherit gnome2 vala virtualx
+
+DESCRIPTION="A cheesy program to take pictures and videos from your webcam"
+HOMEPAGE="https://wiki.gnome.org/Apps/Cheese"
+
+LICENSE="GPL-2+"
+SLOT="0/8" # subslot = libcheese soname version
+IUSE="+introspection test"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+COMMON_DEPEND="
+	>=dev-libs/glib-2.39.90:2
+	>=x11-libs/gtk+-3.13.4:3[introspection?]
+	>=gnome-base/gnome-desktop-2.91.6:3=
+	>=media-libs/libcanberra-0.26[gtk3]
+	>=media-libs/clutter-1.13.2:1.0[introspection?]
+	>=media-libs/clutter-gtk-1:1.0
+	media-libs/clutter-gst:3.0
+	media-libs/cogl:1.0=[introspection?]
+
+	media-video/gnome-video-effects
+	x11-libs/gdk-pixbuf:2[jpeg,introspection?]
+	x11-libs/libX11
+	x11-libs/libXtst
+
+	>=media-libs/gstreamer-1.4:1.0[introspection?]
+	>=media-libs/gst-plugins-base-1.4:1.0[introspection?,ogg,pango,theora,vorbis,X]
+
+	introspection? ( >=dev-libs/gobject-introspection-0.6.7:= )
+"
+RDEPEND="${COMMON_DEPEND}
+	>=media-libs/gst-plugins-bad-1.4:1.0
+	>=media-libs/gst-plugins-good-1.4:1.0
+
+	>=media-plugins/gst-plugins-jpeg-1.4:1.0
+	>=media-plugins/gst-plugins-v4l2-1.4:1.0
+	>=media-plugins/gst-plugins-vpx-1.4:1.0
+"
+# libxml2+gdk-pixbuf required for glib-compile-resources
+DEPEND="${COMMON_DEPEND}
+	$(vala_depend)
+	app-text/docbook-xml-dtd:4.3
+	app-text/yelp-tools
+	dev-libs/appstream-glib
+	dev-libs/libxml2:2
+	dev-libs/libxslt
+	>=dev-util/gtk-doc-am-1.14
+	>=dev-util/intltool-0.50
+	dev-util/itstool
+	virtual/pkgconfig
+	x11-base/xorg-proto
+	test? ( dev-libs/glib:2[utils] )
+"
+
+src_prepare() {
+	vala_src_prepare
+	gnome2_src_prepare
+}
+
+src_configure() {
+	gnome2_src_configure \
+		GST_INSPECT=$(type -P true) \
+		$(use_enable introspection) \
+		--disable-lcov \
+		--disable-static
+}
+
+src_test() {
+	virtx emake check
+}

diff --git a/media-video/cheese/cheese-3.30.0.ebuild b/media-video/cheese/cheese-3.30.0.ebuild
new file mode 100644
index 00000000000..31bc873f0bf
--- /dev/null
+++ b/media-video/cheese/cheese-3.30.0.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit gnome2 virtualx
+
+DESCRIPTION="A cheesy program to take pictures and videos from your webcam"
+HOMEPAGE="https://wiki.gnome.org/Apps/Cheese"
+
+LICENSE="GPL-2+"
+SLOT="0/8" # subslot = libcheese soname version
+IUSE="+introspection"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+COMMON_DEPEND="
+	>=dev-libs/glib-2.39.90:2
+	>=x11-libs/gtk+-3.13.4:3[introspection?]
+	>=gnome-base/gnome-desktop-2.91.6:3=
+	>=media-libs/libcanberra-0.26[gtk3]
+	>=media-libs/clutter-1.13.2:1.0[introspection?]
+	>=media-libs/clutter-gtk-0.91.8:1.0
+	media-libs/clutter-gst:3.0
+	media-libs/cogl:1.0=[introspection?]
+
+	media-video/gnome-video-effects
+	x11-libs/gdk-pixbuf:2[jpeg,introspection?]
+	x11-libs/libX11
+	x11-libs/libXtst
+
+	>=media-libs/gstreamer-1.4:1.0[introspection?]
+	>=media-libs/gst-plugins-base-1.4:1.0[introspection?,ogg,pango,theora,vorbis,X]
+
+	introspection? ( >=dev-libs/gobject-introspection-0.6.7:= )
+"
+RDEPEND="${COMMON_DEPEND}
+	>=media-libs/gst-plugins-bad-1.4:1.0
+	>=media-libs/gst-plugins-good-1.4:1.0
+
+	>=media-plugins/gst-plugins-jpeg-1.4:1.0
+	>=media-plugins/gst-plugins-v4l2-1.4:1.0
+	>=media-plugins/gst-plugins-vpx-1.4:1.0
+"
+# libxml2+gdk-pixbuf required for glib-compile-resources
+DEPEND="${COMMON_DEPEND}
+	app-text/docbook-xml-dtd:4.3
+	app-text/yelp-tools
+	dev-libs/appstream-glib
+	dev-libs/libxml2:2
+	dev-libs/libxslt
+	>=dev-util/gtk-doc-am-1.14
+	>=dev-util/intltool-0.50
+	dev-util/itstool
+	virtual/pkgconfig
+	x11-base/xorg-proto
+"
+
+src_configure() {
+	gnome2_src_configure \
+		GST_INSPECT=$(type -P true) \
+		GTESTER_REPORT=$(type -P true) \
+		VALAC=$(type -P true) \
+		$(use_enable introspection) \
+		--disable-lcov \
+		--disable-static
+}
+
+src_test() {
+	"${EROOT}${GLIB_COMPILE_SCHEMAS}" --allow-any-name "${S}/data" || die
+	GSETTINGS_SCHEMA_DIR="${S}/data" virtx emake check
+}


             reply	other threads:[~2018-12-21 22:17 UTC|newest]

Thread overview: 56+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-12-21 22:17 Gilles Dartiguelongue [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-11-04 18:39 [gentoo-commits] repo/gentoo:master commit in: media-video/cheese/ Andreas Sturmlechner
2023-08-30  7:57 Arthur Zamarin
2023-07-18 22:39 Matt Turner
2023-05-17 21:55 Matt Turner
2023-05-05  9:19 Arthur Zamarin
2023-05-05  9:13 Arthur Zamarin
2023-05-02 18:00 Arthur Zamarin
2023-04-17 23:45 Matt Turner
2023-04-10 14:16 Matt Turner
2023-02-17  8:23 Arthur Zamarin
2021-12-31  3:42 Yixun Lan
2021-12-26 22:32 Mart Raudsepp
2021-12-19  2:00 Matt Turner
2021-11-06  4:09 Sam James
2021-10-04  1:25 Sam James
2021-10-04  1:24 Sam James
2021-09-25 10:40 Mart Raudsepp
2021-04-24  9:20 Mart Raudsepp
2021-04-15  5:25 Sam James
2021-04-15  1:33 Sam James
2021-04-14 18:51 Mikle Kolyada
2021-03-13 18:32 Matt Turner
2021-03-04  0:23 Sam James
2020-05-03 20:22 Mart Raudsepp
2020-04-25 20:17 Mart Raudsepp
2020-03-01 16:18 Mart Raudsepp
2019-12-23 22:23 Mart Raudsepp
2019-12-08 11:52 Mikle Kolyada
2019-12-08 11:41 Mikle Kolyada
2019-10-13 12:14 Mart Raudsepp
2019-10-13  0:18 Matt Turner
2019-08-03 19:04 Aaron Bauman
2019-05-18 23:05 Mart Raudsepp
2019-01-18 22:15 Mart Raudsepp
2019-01-18 22:15 Mart Raudsepp
2018-12-02 17:27 Mart Raudsepp
2018-12-02 14:29 Mikle Kolyada
2018-12-02 10:12 Mikle Kolyada
2018-08-03 11:45 Mart Raudsepp
2018-02-03 23:00 Mart Raudsepp
2018-01-27  0:41 Thomas Deutschmann
2018-01-19  7:34 Gilles Dartiguelongue
2018-01-18  2:58 Mikle Kolyada
2017-08-13  9:51 Gilles Dartiguelongue
2016-10-23 23:01 Gilles Dartiguelongue
2016-10-23 23:01 Gilles Dartiguelongue
2016-09-04 16:22 Gilles Dartiguelongue
2016-07-02 17:12 Pacho Ramos
2016-07-02 17:12 Pacho Ramos
2016-03-06 18:03 Mikle Kolyada
2015-11-24 20:02 Gilles Dartiguelongue
2015-11-17 20:23 Pacho Ramos
2015-11-17 20:23 Pacho Ramos
2015-11-17 20:23 Pacho Ramos
2015-09-07 19:58 Mikle Kolyada

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1545430360.65bf8f8616e2f5c3afa1a525b85dd4c7d46e0cee.eva@gentoo \
    --to=eva@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox